> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1roles



## OpenAPI

````yaml https://auth-ms.supergasbras.app/swagger/v1/swagger.json put /v1/roles
openapi: 3.0.1
info:
  title: CTech Auth
  description: Service responsible for handling Auth version 1.0
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /v1/roles:
    put:
      tags:
        - Roles
      parameters:
        - name: api-version
          in: query
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RoleRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/RoleRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/RoleRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CreateRoleResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/CreateRoleResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CreateRoleResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    RoleRequest:
      required:
        - name
        - permissions
      type: object
      properties:
        name:
          minLength: 1
          type: string
        permissions:
          type: array
          items:
            type: string
            format: uuid
      additionalProperties: false
    CreateRoleResponse:
      type: object
      properties:
        id:
          type: string
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````